@import '../../../sass/index.scss';

.p-post {
  &__title {
    text-align: center;
    margin-bottom: 20px;
  }

  &__markdown {
    padding-bottom: 20px;

    code {
      display: block;
      border: 1px solid rgba(22, 229, 231, 0.6);
      border-radius: 40px;
      background-color: #333;
      padding: 1em 1.2em;
      color: #0098d3;
    }

    figure.image {
      text-align: center;
      width: 100%;

      @media screen and (min-width: $breakpoint-up-md) {
        max-width: 100%;
        width: auto;
      }

      img {
        max-width: 400px;
      }
    }

    .iframe-container {
      iframe {
        width: 100%;
        height: 300px;

        @media screen and (min-width: $breakpoint-up-xl) {
          height: 670px;
        }
      }
    }

    ul {
      padding: 5px 0;

      li {
        padding: 5px 0;
      }
    }
  }
}
